Name:		pikloops
Version:	0.2.5
Release:	15%{?dist}
Summary:	Code generator for PIC delays
Summary(fr):	Générateur de code de temporisation pour PIC

Group:		Development/Tools
License:	GPLv2+
Url:		http://pikloops.sf.net/
Source:		http://downloads.sf.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils, gettext, kdelibs3-devel
BuildRequires:	autoconf

%description
PiKLoop generate for you code to create delays for Microchip PIC
microcontrollers. It is an useful companion for Pikdev or Piklab IDE.

%description -l fr
PiKLoop génère pour vous du code pour créer des temporisations pour les
microcontrôleurs PIC de Microchip. C'est un compagnon utile aux environnements
de développement Pikdev ou Piklab.

%prep
%setup -q
%{__autoconf}

%build

# Needed x86_64 arch, See bug #169132
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure --disable-rpath
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
%{__rm} -f %{buildroot}%{_datadir}/applnk/Applications/%{name}.desktop

desktop-file-install \
%if (0%{?fedora} && 0%{?fedora} < 19) || ( 0%{?rhel} && 0%{?rhel} < 7)
  --vendor=fedora \
%endif
  --dir %{buildroot}%{_datadir}/applications \
  --delete-original \
  src/%{name}.desktop

# Fix absolute symlink
%{__rm} -f %{buildroot}%{_docdir}/HTML/*/%{name}/common
BKP_PWD=`pwd`
cd %{buildroot}%{_docdir}/HTML/en/%{name}/
ln -s ../common .
for lang_dir in fr
do
  cd %{buildroot}%{_docdir}/HTML/$lang_dir/%{name}/
  ln -s ../docs/common common
done
cd $BKP_PWD

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/crystalsvg || :
if [ -x %{_bindir}/gtk-update-icon-cache ]
then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/crystalsvg || :
if [ -x %{_bindir}/gtk-update-icon-cache ]
then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING
%{_bindir}/*
%if (0%{?fedora} && 0%{?fedora} < 19) || ( 0%{?rhel} && 0%{?rhel} < 7)
%{_datadir}/applications/fedora-%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif
%{_datadir}/apps/%{name}/
%{_datadir}/doc/HTML/*/%{name}/
%{_datadir}/icons/crystalsvg/*/apps/%{name}.png

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 28 2013 Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.2.5-12
- Rerun autoconf to support ARM 64 bit CPU architecture (aarch64) (Fixes #926339)

* Wed Mar  6 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.2.5-11
- Remove vendor prefix from desktop files in F19+ https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.2.5-7
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar 12 2008 Kevin Kofler <Kevin tigcc ticalc org> 0.2.5-3
- BR kdelibs3-devel instead of kdelibs-devel (#434064)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.5-2
- Autorebuild for GCC 4.3

* Wed Oct 17 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.5-1
  - New upstream version
  - Removing Education category no more needed

* Wed Sep 28 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.4-1
  - New upstream version

* Sun Sep 02 2007 Chitlesh Goorah <chitlesh[AT]fedoraproject[DOT]org> - 0.2.3-3
  - Fix desktop file

* Tue Aug 21 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.3-2
  - Licence tag clarification

* Thu Jul 26 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.3-1
  - New upstream version

* Thu Jul 12 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.2-5
  - Fix potential EVR problem

* Thu Jul 12 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.2-4
  - Test if gtk-update-icon-cache exists before running it

* Wed Jul 11 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.2-3
  - Add BR gettext

* Sat Jul  7 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.2-2
  - New upstream: new url and source url

* Wed Apr 25 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.2-1
  - New upstream version
  - SOURCE1 no more needed

* Fri Sep 29 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.1-6
  - Remove useless update-desktop-database

* Fri Sep 29 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.1-5
  - Update %%{SOURCE1} to add Application category

* Fri Sep 29 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.1-4
  - Update %%{SOURCE1} which don't contain "OnlyShowIn=KDE;" any more

* Thu Sep 28 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.1-3
  - Add dist tag

* Thu Sep 28 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.1-2
  - Don't make install-strip

* Wed Sep 27 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.1-1
  - Initial Fedora package
